## org.omg.CORBA
Class NO_RESOURCES

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--org.omg.CORBA.SystemException
                              |
                              +--org.omg.CORBA.NO_RESOURCES

All Implemented Interfaces:
  org.apache.avalon.framework.CascadingThrowable, java.io.Serializable

public class NO_RESOURCES
extends SystemException

The ORB has encountered some general resource limitation. For example, the run time may have reached the maximum permissible number of open connections.

See Also:
  Serialized Form

Fields inherited from class org.omg.CORBA.SystemException
`completed, minor`

Constructor Summary
`NO_RESOURCES()`
`NO_RESOURCES(int minor, CompletionStatus completed)`
`NO_RESOURCES(java.lang.String orb_reason)`
`NO_RESOURCES(java.lang.String orb_reason, int minor, CompletionStatus completed)`

Methods inherited from class org.omg.CORBA.SystemException
`getCause, initCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NO_RESOURCES

    public NO_RESOURCES()

### NO_RESOURCES

    public NO_RESOURCES(java.lang.String orb_reason)

### NO_RESOURCES

    public NO_RESOURCES(int minor,
                        CompletionStatus completed)

### NO_RESOURCES

    public NO_RESOURCES(java.lang.String orb_reason,
                        int minor,
                        CompletionStatus completed)